# QwtArrayData Class Reference

Data class containing two QwtArray<double> objects. More...

`#include <qwt_data.h>`

Inheritance diagram for QwtArrayData:
[legend]

List of all members.

## Public Member Functions

| QwtArrayData (const QwtArray< double > &x, const QwtArray< double > &y)
| QwtArrayData (const double *x, const double *y, size_t size)
QwtArrayData & | operator= (const QwtArrayData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
const QwtArray< double > & | xData () const
const QwtArray< double > & | yData () const
virtual QwtDoubleRect | boundingRect () const

## Detailed Description

Data class containing two QwtArray<double> objects.

## Constructor & Destructor Documentation

QwtArrayData::QwtArrayData | ( | const QwtArray< double > & | x,
|  | const QwtArray< double > & | y |
| ) |  |  |

Constructor

Parameters:

  | x | Array of x values
  | y | Array of y values

See also:
  QwtPlotCurve::setData()

QwtArrayData::QwtArrayData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size |
| ) |  |  |

Constructor

Parameters:

  | x | Array of x values
  | y | Array of y values
  | size | Size of the x and y arrays

See also:
  QwtPlotCurve::setData()

## Member Function Documentation

QwtDoubleRect QwtArrayData::boundingRect | ( |  | ) | const`[virtual]`

Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == false

Reimplemented from QwtData.

QwtData * QwtArrayData::copy | ( |  | ) | const`[virtual]`

Returns:
  Pointer to a copy (virtual copy constructor)

Implements QwtData.

QwtArrayData & QwtArrayData::operator= | ( | const QwtArrayData & | data | ) |

Assignment.

size_t QwtArrayData::size | ( |  | ) | const`[virtual]`

Returns:
  Size of the data set

Implements QwtData.

double QwtArrayData::x | ( | size_t | i | ) | const`[virtual]`

Return the x value of data point i

Parameters:

  | i | Index

Returns:
  x X value of data point i

Implements QwtData.

const QwtArray< double > & QwtArrayData::xData | ( |  | ) | const

Returns:
  Array of the x-values

double QwtArrayData::y | ( | size_t | i | ) | const`[virtual]`

Return the y value of data point i

Parameters:

  | i | Index

Returns:
  y Y value of data point i

Implements QwtData.

const QwtArray< double > & QwtArrayData::yData | ( |  | ) | const

Returns:
  Array of the y-values